Skip to content

Acceptance Options ​

http
POST /api/v1/acceptance/options

Base URL: https://supplies-api.wildberries.ru · Module: orders-fbw · Section: Information for Forming Supplies · Specification doc ↗

The method is temporary disabled

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal1 min6 requests10 s6 requests
Service1 min6 requests10 s6 requests
Base with secret1 min6 requests10 s6 requests
Base1 h2 requests30 min1 request

Parameters ​

NameInTypeReq.Description
warehouseIDqueryinteger<int64>noWarehouse ID. If the parameter is not specified, data for all warehouses is returned. **Maximum is one value**

Request body ​

application/json — schema models.Good[], required

  • quantity integer<int64> — Total quantity of items planned for supply. **Maximum 999999**
  • barcode string — Barcode from the listing

Responses ​

CodeDescriptionSchema
200Successmodels.OptionsResultModel
400Incorrect requestmodels.ErrorModel
401Unauthorizedobject
402Payment requiredobject
403Access deniedobject
404Not found—
429Too many requestsobject

Structure 200:

  • result object[]
    • barcode string — Listing barcode
    • error object — Error data. If an error is present
      • title string — Error ID
      • detail string — Error description
    • isError boolean — Presence of an error: - true — there is an error - Field is absent — there is no error
    • warehouses object[] — Warehouses list. Will be null if an error is present
      • warehouseID integer<int64> — Warehouse ID. With it, you can get information about the warehouse
      • canBox boolean — Box package type: - true — available - false — not available
      • canMonopallet boolean — Monopallet package type: - true — available - false — not available
      • canSupersafe boolean — Super safe package type: - true — available - false — not available
      • isBoxOnPallet boolean — Pallet with Single Items supply type: - true — available - false — not available
  • requestId string — Request ID if an error is present

Structure 400:

  • status integer<int64> — HTTP status code
  • title string — Error ID
  • detail string — Error description
  • requestId string — Request ID
  • origin string — Service that returned the error

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.orders_fbw import Configuration, ApiClient
from wb_api_client.orders_fbw.api import OrdersFbwApi

cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbwApi(ApiClient(cfg))

result = api.post_v1_acceptance_options(models_good=..., warehouse_id=...)
print(result)
ts
import {
  Configuration,
  OrdersFbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbw";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbwApi(cfg);

const { data } = await api.postV1AcceptanceOptions(modelsGood, warehouseID);
console.log(data);
go
import (
	"context"
	"fmt"

	wbordersfbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbw"
)

cfg := wbordersfbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbw.NewAPIClient(cfg)

result, _, err := client.OrdersFbwAPI.PostV1AcceptanceOptions(context.Background()).ModelsGood(modelsGood).WarehouseID(warehouseID).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.orders_fbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbw.api.OrdersFbwApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbwApi api = new OrdersFbwApi(client);

System.out.println(api.postV1AcceptanceOptions(modelsGood, warehouseID));
php
use ValeryVerkhoturov\WbApiClient\OrdersFbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbw\Api\OrdersFbwApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbwApi(new Client(), $config);

print_r($api->postV1AcceptanceOptions($models_good));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbwApi(Настройки);

Сообщить(Клиент.PostV1AcceptanceOptions(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbw.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbwApi(config);

Console.WriteLine(api.PostV1AcceptanceOptions(modelsGood));
rust
use wb_api_client::orders_fbw::apis::{configuration::Configuration, orders_fbw_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = orders_fbw_api::post_v1_acceptance_options(&cfg, models_period_good, warehouse_id).await;
    println!("{:#?}", result);
}